Bug 68975 - FORMATTING: Impress does not apply some formatting of the master page to the slides (see comment2)
Summary: FORMATTING: Impress does not apply some formatting of the master page to the ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Master-Slide
  Show dependency treegraph
 
Reported: 2013-09-05 11:02 UTC by minhsien0330
Modified: 2019-03-29 20:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The odp file to demo this problem. (11.72 KB, application/vnd.oasis.opendocument.presentation)
2013-09-05 11:02 UTC, minhsien0330
Details
The screenshot shows this problem. (153.77 KB, image/png)
2013-09-05 11:04 UTC, minhsien0330
Details

Note You need to log in before you can comment on or make changes to this bug.
Description minhsien0330 2013-09-05 11:02:49 UTC
Created attachment 85237 [details]
The odp file to demo this problem.

Problem description: 
I have created a rounded title area in master slide, but impress not apply it.

Steps to reproduce:
1. Creat a new odp file.
2. View > Master > Master Slide. Edit the title area, make a rounded corner.
3. Close master view, you will see the format of title does not change.

You can open "not_apply_slide_master.odp" to test this problem, too.

Current behavior:
Impress not apply the format of master slide.

Expected behavior:
Impress apply the format of master slide.

Thanks.
Operating System: Debian
Version: 4.0.3.3 release
Comment 1 minhsien0330 2013-09-05 11:04:03 UTC
Created attachment 85238 [details]
The screenshot shows this problem.
Comment 2 Cor Nouws 2013-09-05 19:48:21 UTC
I can confirm that the rounding of the frame, that you set on the master page, is not applied to the slides in the presentation.
However, when I change position of the frame and apply a different text color in the style, that ís applied.

So it looks as if certain properties are not applied.

 = = = 

Hi minh..

Thanks for your report & the sample file &..

I see the same problem in 3.3.30, os it's proably already inherrited from OpenOffice.

Set to new and such.
regards,
Cor
Comment 3 minhsien0330 2014-10-25 13:48:05 UTC
My OS is Debian.
LO 4.3.4 still has this bug.

LO version info:
Version: 4.3.4.0.0+
Build ID: bea74d73f4782b17f5286327f15db60ab3ae85de
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-10-15_05:34:17

Thanks.
Comment 4 Sean Carlos 2015-01-01 22:21:23 UTC
In  4.4.0.1 I also see this slide formatting issue: a "Corner Radius" (under Position and Size) can be specified to round the title frame but this setting is only applied to the master slide, it isn't inherited by slides using the master.

Additionally the "Fit Width to text" option appears to be very buggy. It doesn't seem to work at all if specified by editing the title frame style (right click on Title frame, choose Edit style at bottom of list). It sometimes is inherited from the master by the first slide if applied by editing the Text attributes of the Title frame, but doesn't work for successive new slides.

I tested this on Linux, using a clean (new) configuration.

This issues are rather a shame as it makes it very difficult to personalize master slides.
Comment 5 Sean Carlos 2015-01-05 14:25:02 UTC
I'm taking the liberty to add EasyHack as I suspect it wouldn't be too difficult to propagate the RADIUS value set in the slide master to the dependent slides following the same logic used for other master slide settings which do work such as item X,Y position. I'm not a C programmer so I could be very wrong on this guess.
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:21:35 UTC Comment hidden (obsolete)